public abstract class Decorador implements ComponenteTexto {
	private ComponenteTexto componente;
	public Decorador(ComponenteTexto comp) {
		this.componente = comp;
	}
	public String getTexto() {
		return componente.getTexto();
	}
	public String toString() {
		return getTexto();
	}
}
